diff --git a/extras/Projucer/Source/Application/jucer_MainWindow.cpp b/extras/Projucer/Source/Application/jucer_MainWindow.cpp
index 8a10d2c05..dd58dbd18 100644
--- a/extras/Projucer/Source/Application/jucer_MainWindow.cpp
+++ b/extras/Projucer/Source/Application/jucer_MainWindow.cpp
@@ -812,7 +812,7 @@ void MainWindowList::checkWindowBounds (MainWindow& windowToCheck)
         auto constrainedX = jlimit (screenLimits.getX(), jmax (screenLimits.getX(), screenLimits.getRight()  - windowBounds.getWidth()),  windowBounds.getX());
         auto constrainedY = jlimit (screenLimits.getY(), jmax (screenLimits.getY(), screenLimits.getBottom() - windowBounds.getHeight()), windowBounds.getY());
 
-        Point<int> constrainedTopLeft (constrainedX, constrainedY);
+        juce::Point<int> constrainedTopLeft (constrainedX, constrainedY);
 
         if (windowBounds.getPosition() != constrainedTopLeft)
             windowToCheck.setTopLeftPosition (constrainedTopLeft);
diff --git a/extras/Projucer/Source/CodeEditor/jucer_ItemPreviewComponent.h b/extras/Projucer/Source/CodeEditor/jucer_ItemPreviewComponent.h
index 669c74e7d..5fb750dc4 100644
--- a/extras/Projucer/Source/CodeEditor/jucer_ItemPreviewComponent.h
+++ b/extras/Projucer/Source/CodeEditor/jucer_ItemPreviewComponent.h
@@ -58,7 +58,7 @@ public:
 
             Path p;
             p.addRectangle (area);
-            DropShadow (Colours::black.withAlpha (0.5f), 6, Point<int> (0, 1)).drawForPath (g, p);
+            DropShadow (Colours::black.withAlpha (0.5f), 6, juce::Point<int> (0, 1)).drawForPath (g, p);
 
             g.fillCheckerBoard (area, 24.0f, 24.0f, Colour (0xffffffff), Colour (0xffeeeeee));
 
diff --git a/extras/Projucer/Source/CodeEditor/jucer_LiveBuildCodeEditor.h b/extras/Projucer/Source/CodeEditor/jucer_LiveBuildCodeEditor.h
index 5b9bc7815..8b98779b5 100644
--- a/extras/Projucer/Source/CodeEditor/jucer_LiveBuildCodeEditor.h
+++ b/extras/Projucer/Source/CodeEditor/jucer_LiveBuildCodeEditor.h
@@ -359,7 +359,7 @@ private:
         if (hasKeyboardFocus (true) && underMouse != nullptr
               && (underMouse == this || underMouse->isParentOf (this)))
         {
-            Point<int> mousePos = getLocalPoint (nullptr, mouse.getScreenPosition()).toInt();
+            juce::Point<int> mousePos = getLocalPoint (nullptr, mouse.getScreenPosition()).toInt();
 
             CodeDocument::Position start, end;
             getDocument().findTokenContaining (getPositionAt (mousePos.x, mousePos.y), start, end);
diff --git a/extras/Projucer/Source/ComponentEditor/PaintElements/jucer_PaintElementPath.cpp b/extras/Projucer/Source/ComponentEditor/PaintElements/jucer_PaintElementPath.cpp
index feaeff440..e0eb0f0f2 100644
--- a/extras/Projucer/Source/ComponentEditor/PaintElements/jucer_PaintElementPath.cpp
+++ b/extras/Projucer/Source/ComponentEditor/PaintElements/jucer_PaintElementPath.cpp
@@ -232,7 +232,7 @@ void PaintElementPath::rescalePoint (RelativePositionedRectangle& pos, int dx, i
 }
 
 //==============================================================================
-static void drawArrow (Graphics& g, const Point<float> p1, const Point<float> p2)
+static void drawArrow (Graphics& g, const juce::Point<float> p1, const juce::Point<float> p2)
 {
     g.drawArrow (Line<float> (p1.x, p1.y, (p1.x + p2.x) * 0.5f, (p1.y + p2.y) * 0.5f), 1.0f, 8.0f, 10.0f);
     g.drawLine (p1.x + (p2.x - p1.x) * 0.49f, p1.y + (p2.y - p1.y) * 0.49f, p2.x, p2.y);
@@ -268,7 +268,7 @@ void PaintElementPath::drawExtraEditorGraphics (Graphics& g, const Rectangle<int
             if (owner->getSelectedPoints().isSelected (p))
             {
                 g.setColour (Colours::red);
-                Point<float> p1, p2;
+                juce::Point<float> p1, p2;
 
                 if (numPoints > 2)
                 {
diff --git a/extras/Projucer/Source/ComponentEditor/UI/jucer_EditingPanelBase.cpp b/extras/Projucer/Source/ComponentEditor/UI/jucer_EditingPanelBase.cpp
index 8765e20de..08013bf96 100644
--- a/extras/Projucer/Source/ComponentEditor/UI/jucer_EditingPanelBase.cpp
+++ b/extras/Projucer/Source/ComponentEditor/UI/jucer_EditingPanelBase.cpp
@@ -216,7 +216,7 @@ void EditingPanelBase::setZoom (double newScale)
 
 void EditingPanelBase::setZoom (double newScale, int anchorX, int anchorY)
 {
-    Point<int> anchor (editor->getLocalPoint (viewport, Point<int> (anchorX, anchorY)));
+    juce::Point<int> anchor (editor->getLocalPoint (viewport, juce::Point<int> (anchorX, anchorY)));
 
     magnifier->setScaleFactor (newScale);
 
@@ -233,7 +233,7 @@ void EditingPanelBase::setZoom (double newScale, int anchorX, int anchorY)
 
 void EditingPanelBase::xyToTargetXY (int& x, int& y) const
 {
-    Point<int> pos (editor->getLocalPoint (this, Point<int> (x, y)));
+    juce::Point<int> pos (editor->getLocalPoint (this, juce::Point<int> (x, y)));
     x = pos.getX();
     y = pos.getY();
 }
diff --git a/extras/Projucer/Source/ComponentEditor/UI/jucer_RelativePositionedRectangle.h b/extras/Projucer/Source/ComponentEditor/UI/jucer_RelativePositionedRectangle.h
index 545d4327d..d871c260c 100644
--- a/extras/Projucer/Source/ComponentEditor/UI/jucer_RelativePositionedRectangle.h
+++ b/extras/Projucer/Source/ComponentEditor/UI/jucer_RelativePositionedRectangle.h
@@ -735,12 +735,12 @@ struct RelativePositionedRectangle
         return toks[0] + " " + toks[1];
     }
 
-    Point<float> toXY (const Rectangle<int>& parentArea,
+    juce::Point<float> toXY (const Rectangle<int>& parentArea,
                        const ComponentLayout* layout) const
     {
         double x, y, w, h;
         getRectangleDouble (x, y, w, h, parentArea, layout);
-        return Point<float> ((float) x, (float) y);
+        return juce::Point<float> ((float) x, (float) y);
     }
 
     void getXY (double& x, double& y,
